# schema_salad.tests.test_schemas_directive

Checks for accepting $schemas directive

run individually as py.test -k tests/test_schemas_directive.py

## Attributes

`test_dir_name` |

## Classes

`TestSchemasDirective` | Ensure codegen-produced parsers accept $schemas directives

## Module Contents

schema_salad.tests.test_schemas_directive.test_dir_name = 'tests/'

class schema_salad.tests.test_schemas_directive.TestSchemasDirective

  Ensure codegen-produced parsers accept $schemas directives

  document_loader: schema_salad.ref_resolver.Loader
  avsc_names: schema_salad.avro.schema.Names | schema_salad.avro.schema.SchemaParseException | None = None
  schema_metadata: dict[str, Any] | None = None
  metaschema_loader: schema_salad.ref_resolver.Loader | None = None
  classmethod setup_class()
    Return type:

      None

  load_cwl(src)
    Parameters:

      src (str)

    Return type:

      tuple[Any, dict[str, Any]]

  test_dollarsign_schema()

    EDAM.owl as a schema

    Return type:

      None